Commit fd2dac17 authored by Bùi Bá Trường's avatar Bùi Bá Trường

truongbb - test ci

parent 4bad5845
Pipeline #347 failed with stages
in 27 seconds
......@@ -18,10 +18,6 @@ sub_help(){
echo ""
}
sub_demo(){
echo "aaaaaaaaaaaaaaaaaaaa"
}
sub_checkout(){
echo "--------------CHECKING OUT GIT CODE--------------------"
cd /root/GitlabRunner/repo/
......@@ -38,14 +34,7 @@ sub_compile(){
cd /root/GitlabRunner/repo/
ls
# mvn install
module=''
if [[ -z $1 ]]; then
echo "Compiling for all modules in project"
elif [[ -n $1 ]]; then
module='-am -pl '$1
echo "Compiling for module" $1
fi
_docker_mvn compile ${module} -DskipTests
_docker_mvn compile -DskipTests
echo "DONE!"
}
......@@ -57,7 +46,7 @@ sub_sonar-scan(){
}
sub_send-email(){
echo "TODO - send email"
}
......@@ -71,17 +60,17 @@ _docker_mvn() {
}
subcommand=$1
sub_command=$1
case $subcommand in
case sub_command in
"" | "-h" | "--help")
sub_help
;;
*)
shift
sub_${subcommand} $@
sub_${sub_command} $@
if [[ $? = 127 ]]; then
echo "Error: '$subcommand' is not a known sub-command." >&2
echo "Error: '$sub_command' is not a known sub-command." >&2
echo "Run '$cmd --help' for a list of known sub-commands." >&2
exit 1
fi
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment